//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------
namespace Microsoft.ServiceBus.AccessControlExtensions
{
    public abstract class Claim
    {
        public abstract string ClaimType { get; }
        public abstract string ClaimValue { get; }

        public override bool Equals(object obj)
        {
            return ((Claim) obj).ClaimType == this.ClaimType && ((Claim) obj).ClaimValue == this.ClaimValue;
        }

        public override int GetHashCode()
        {
            return this.ClaimType.GetHashCode() ^ this.ClaimValue.GetHashCode();
        }

        public static bool operator ==(Claim c1, Claim c2)
        {
            return Equals(c1, c2);
        }

        public static bool operator !=(Claim c1, Claim c2)
        {
            return !Equals(c1, c2);
        }
    }
}
