//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.SessionMessages
{
    using System.Runtime.Serialization;

    [DataContract(Name="PingDataContract", Namespace="Microsoft.Samples.SessionMessages")]
    public class PingData
    {
        [DataMember]
        public string Message;

        [DataMember]
        public string SenderId;

        public PingData()
            : this(string.Empty, string.Empty)
        {
        }

        public PingData(string message, string senderId)
        {
            this.Message = message;
            this.SenderId = senderId;
        }
    }
}
