//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.ServiceBus.Samples
{
    using System.ServiceModel;

    [ServiceContract(Name = "ITraceContract",
                     Namespace = "http://samples.microsoft.com/ServiceModel/Relay/CloudTrace",
                     SessionMode = SessionMode.Allowed)]
    public interface ITraceContract
    {
        [OperationContract(IsOneWay = true, Name = "Write1")]
        void Write(string message);

        [OperationContract(IsOneWay = true, Name = "Write2")]
        void Write(string message, string category);

        [OperationContract(IsOneWay = true, Name = "WriteLine1")]
        void WriteLine(string message);

        [OperationContract(IsOneWay = true, Name = "WriteLine2")]
        void WriteLine(string message, string category);

        [OperationContract(IsOneWay = true, Name = "Fail1")]
        void Fail(string message);

        [OperationContract(IsOneWay = true, Name = "Fail2")]
        void Fail(string message, string detailMessage);
    }

    public interface ITraceChannel : ITraceContract, IClientChannel { }
}
