//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.ServiceBus.WindowsPhoneChat
{
    using System.Windows;
    using System.Windows.Controls;
    using Microsoft.Samples.ServiceBus.WindowsPhoneChat.Commands;
    using Microsoft.Samples.ServiceBus.WindowsPhoneChat.ViewModels;

    public partial class AddTopicDialog : UserControl
    {
        public AddTopicDialog()
        {
            InitializeComponent();
        }

        public DialogCallback Callback { get; set; }

        public object State { get; set; }

        private void OnCreateButtonClicked(object sender, RoutedEventArgs e)
        {
            this.Callback(false, (ViewModel)this.DataContext, this.State);
            ((MainPageViewModel)this.State).State = "NoDialog";
        }

        private void OnCancelButtonClicked(object sender, RoutedEventArgs e)
        {
            this.Callback(true, (ViewModel)this.DataContext, this.State);
            ((MainPageViewModel)this.State).State = "NoDialog";
        }
    }
}
