//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.ServiceBus.WindowsPhoneChat
{
    using System.Windows;
    using System.Windows.Controls;
    using Microsoft.Samples.ServiceBus.WindowsPhoneChat.ViewModels;

    public partial class ChatTopicListControl : UserControl
    {
        public ChatTopicListControl()
        {
            // Required to initialize variables
            InitializeComponent();
        }

        private void OnTopicClicked(object sender, RoutedEventArgs e)
        {
            var frameworkElement = sender as FrameworkElement;
            if (frameworkElement != null)
            {
                var viewModel = frameworkElement.DataContext as ChatTopicViewModel;
                viewModel.OnSelected();
            }
        }

        private void OnSubscribeClicked(object sender, RoutedEventArgs e)
        {
            var frameworkElement = sender as FrameworkElement;
            if (frameworkElement != null)
            {
                var viewModel = frameworkElement.DataContext as ChatTopicViewModel;
                viewModel.BeginSubscribe();
            }
        }

        private void OnDeleteTopicClicked(object sender, RoutedEventArgs e)
        {
            var frameworkElement = sender as FrameworkElement;
            if (frameworkElement != null)
            {
                var viewModel = frameworkElement.DataContext as ChatTopicViewModel;
                viewModel.BeginDelete();
            }
        }
    }
}
