//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.ServiceBus.WindowsPhoneChat.Commands
{
    using System.Windows.Input;
    using Microsoft.Samples.ServiceBus.WindowsPhoneChat.ViewModels;

    public static class Commands
    {
        private static readonly LoginCommand loginCommand = new LoginCommand();
        private static readonly RefreshTopicsCommand refreshTopicsCommand = new RefreshTopicsCommand();
        private static readonly GetSubscriptionCommand getSubscriptionCommand = new GetSubscriptionCommand();
        private static readonly SubscribeToTopicCommand subscribeToTopicCommand = new SubscribeToTopicCommand();
        private static readonly AddTopicCommand addTopicCommand = new AddTopicCommand();
        private static readonly SendMessageCommand sendMessageCommand = new SendMessageCommand();
        private static readonly DeleteTopicCommand deleteTopicCommand = new DeleteTopicCommand();

        public static AsyncCommand<LoginControlViewModel> Login
        {
            get { return Commands.loginCommand; }
        }

        public static ICommand RefreshTopics
        {
            get { return Commands.refreshTopicsCommand; }
        }

        public static ICommand GetSubscription
        {
            get { return Commands.getSubscriptionCommand; }
        }

        public static ICommand SubscribeToTopic
        {
            get { return Commands.subscribeToTopicCommand; }
        }

        public static ICommand AddTopic
        {
            get { return Commands.addTopicCommand; }
        }

        public static ICommand SendMessage
        {
            get { return Commands.sendMessageCommand; }
        }

        public static ICommand DeleteTopic
        {
            get { return Commands.deleteTopicCommand; }
        }
    }
}
