//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.ServiceBus.WindowsPhoneChat.ViewModels
{
    using System.Windows;

    public class AddTopicDialogViewModel : ViewModel
    {
        public static readonly DependencyProperty NameProperty =
            DependencyProperty.Register("Name", typeof(string), typeof(AddTopicDialogViewModel), new PropertyMetadata("ServiceBusChat"));

        public static readonly DependencyProperty ShouldSubscribeProperty =
            DependencyProperty.Register("ShouldSubscribe", typeof(bool), typeof(AddTopicDialogViewModel), new PropertyMetadata(true));

        public string Name
        {
            get { return (string)GetValue(NameProperty); }
            set { SetValue(NameProperty, value); }
        }

        public bool ShouldSubscribe
        {
            get { return (bool)GetValue(ShouldSubscribeProperty); }
            set { SetValue(ShouldSubscribeProperty, value); }
        }

        public bool? Result { get; set; }
    }
}
