//---------------------------------------------------------------------------------
// Copyright (c) 2011, Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//---------------------------------------------------------------------------------

namespace Microsoft.Samples.ServiceBus.WindowsPhoneChat.ViewModels
{
    using System.Windows;
    using Microsoft.Samples.ServiceBus.WindowsPhoneChat.Commands;

    public class LoginControlViewModel : ViewModel
    {
        public static readonly DependencyProperty UserNameProperty =
            DependencyProperty.Register("UserName", typeof(string), typeof(LoginControlViewModel), new PropertyMetadata("Bob"));

        public event AsyncCommandEventHandler<LoginControlViewModel> LoginCompleted
        {
            add { this.LoginCommand.ExecuteCompleted += value; }
            remove { this.LoginCommand.ExecuteCompleted -= value; }
        }

        public AsyncCommand<LoginControlViewModel> LoginCommand
        {
            get { return Commands.Login; }
        }

        public string UserName
        {
            get { return (string)GetValue(UserNameProperty); }
            set { SetValue(UserNameProperty, value); }
        }
    }
}
